| Home | Libraries | People | FAQ | More

###### pct_string_view::pct_string_view (6 of 6 overloads)

Constructor.

###### Synopsis

    pct_string_view(
        core::string_view s);

###### Description

The newly constructed string references the specified character buffer. Ownership is not transferred.

###### Postconditions

    this->data() == s.data() && this->size() == s.size()

###### Complexity

Linear in `s.size()`.

###### Exception Safety

Exceptions thrown on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | The string contains an invalid percent encoding.

###### Parameters

Name | Description
--- | ---
`s` | The string to construct from.